##Bush to Obama
bo<-read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/bg_bush_obama.csv", header=TRUE) ## Note Peak deleted because wrong contributions used; Gates deleted because he was a hold over
rmat<-matrix(bo$ip, nrow=I(length(bo[,1])/2), ncol=2, byrow=TRUE)
plot(rmat[,1], rmat[,2], pch=19, col="black", main="Transition from George W. Bush to Barack Obama", xlab="Ideal Points of Bush Cabinet Officials", ylab="Ideal Points of Obama Cabinet Officials")
abline(lm(rmat[,2]~rmat[,1]), col="darkgrey", lwd=2)
summary(lm(rmat[,2]~rmat[,1]))


##Clinton to Bush
cb<-read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/bg_clinton_bush.csv", header=TRUE)
rmat2<-matrix(cb$ip, nrow=I(length(cb[,1])/2), ncol=2, byrow=TRUE)
plot(rmat2[,1], rmat2[,2], pch=19, col="black", main="Transition from Bill Clinton to George W. Bush", xlab="Ideal Points of Clinton Cabinet Officials", ylab="Ideal Points of Bush Cabinet Officials")
abline(lm(rmat2[,2]~rmat2[,1]), col="darkgrey", lwd=2)
summary(lm(rmat2[,2]~rmat2[,1]))



##Within Clinton
cw<-read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/bg_clint_within.csv", header=TRUE)
plot(cw$later, cw$prior, pch=19, col="black", main="Cabinet Overturn within the Clinton Administration", xlab="Ideal Point of Outgoing Cabinet Official", ylab="Ideal Point of Incoming Cabinet Official")
abline(lm(cw$later~cw$prior), col="darkgrey", lwd=2)
summary(lm(cw$later~cw$prior))



##Within Bush
bw<-read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/bg_bush_within.csv", header=TRUE)
plot(bw$later, bw$prior, pch=19, col="black", main="Cabinet Overturn within the Bush Administration", xlab="Ideal Point of Outgoing Cabinet Official", ylab="Ideal Point of Incoming Cabinet Official")
abline(lm(bw$later~bw$prior), col="darkgrey", lwd=2)
summary(lm(bw$later~bw$prior))
