###################################################################################################
###########################SCHEDULE C EXTREMISM####################################################
###################################################################################################


y <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/PLUM_ExcludedAppointees.csv")
titles.y <- y$position[!is.na(y$salary) & y$salary < 100000]


atypes <- c('SC','PAS')
ysc <- y[(y$appt %in% atypes) &  y$nconts >= 1 & y$points >= 3 ,]


a1 <- (lm(CONT.IPS ~appt,data=ysc[ysc$pres == 'clinton',]))

a2 <- (lm(CONT.IPS ~appt +  orgs  ,data=ysc[ysc$pres == 'clinton',]))

a3 <- (lm(CONT.IPS ~appt+
          commissioner+ambassador+attorney+marshal+secretary+ asst.secretary + under.secretary + director+administrator+special.assistant+member+
          professional+technical+PolicyAgenda,
           data=ysc[ysc$pres == 'clinton',]))

a4 <- (lm(CONT.IPS ~ appt,data=ysc[ysc$pres == 'gwb',]))

a5 <- (lm(CONT.IPS ~ appt + orgs ,data=ysc[ysc$pres == 'gwb',]))

a6 <- (lm(CONT.IPS ~ appt +commissioner+ambassador+attorney+marshal+secretary+  asst.secretary + under.secretary +  director+administrator+special.assistant+member+
          professional+technical+PolicyAgenda,
           data=ysc[ysc$pres == 'gwb',]))


library(texreg)
htmlreg(list(a1,a2,a3,a4,a5,a6),file='Table A6.doc')
