##FIGURE A8:
##IMPORT DATA ON WHETHER EACH THOMAS NOMINEE HAS MADE ANY CONTRIBUTION AT ALL:
x <- read.delim("http://www.umich.edu/~jowei/PresidentialAppointments/Thomas_AnyContribution.txt")


x$organization[x$organization=="Department of the Justice"] <- "Department of Justice"
x$organization[x$organization=="Deparment of State"] <- "Department of State"
x$organization[x$organization=="Department of Interior"] <- "Department of the Interior"
x$organization[x$organization=="Department of Treasury"] <- "Department of the Treasury"
x$organization[x$organization=="Federal Aviation Administration"] <- "Department of Transportation"
x$organization[x$organization=="National Foundation for Arts and Humanities"] <- "National Foundation on the Arts and the Humanities"
x$organization[x$organization=="National Foundation on the Arts and Humanities "] <- "National Foundation on the Arts and the Humanities"
x$organization[x$organization=="NSF"] <- "National Science Foundation"
x$organization[x$organization=="State Department"] <- "Department of State"
x$organization[x$organization=="National Foundation On the Arts and the Humanities"] <- "National Foundation on the Arts and the Humanities"
x$organization[x$organization=="Veterans Affair"] <- "Department of Veterans Affairs"
x$organization[x$organization=="Veterans Administration"] <- "Department of Veterans Affairs"
x$organization[x$organization=="Postal Service"] <- "United States Postal Service"
x$organization[x$organization=="Postal Rate Commissioner"] <- "United States Postal Service"
x$organization[x$organization=="Postal Rate Commission"] <- "United States Postal Service"

x$organization[x$organization=="Postal Regulatory Commission"] <- "United States Postal Service"
x$organization[x$organization=="Central Intelligence"] <- "Central Intelligence Agency"
x$organization[x$organization=="Ambassador"] <- "Department of State"
x$organization[x$organization=="Reform Board (Amtrak)"] <- "Amtrak"
x$organization[x$organization=="National Council On Disability"] <- "National Council on Disability"
x$organization[x$organization=="Amtrak Board of Directors"] <- "Amtrak"
x$organization[x$organization=="Reform Board (AMTRAK)"] <- "Amtrak"

x$organization[x$organization=="Morris K. Udall Sch. & Excellence in Natl Env. Policy Foundation"] <- "Morris K. Udall Scholarship and Excellence in National Environmental Policy Foundation"
x$organization[x$organization=="Morris K. Udall Scholarship & Excellence in National Environmental Policy Foundation"] <- "Morris K. Udall Scholarship and Excellence in National Environmental Policy Foundation"
x$organization[x$organization=="Morris K. Udall Scholarship and excellence in National Environmental Policy Foundation."] <- "Morris K. Udall Scholarship and Excellence in National Environmental Policy Foundation"
x$organization[x$organization=="National Commission On Libraries and Information Science"] <- "National Commission on Libraries and Information Science"


x$organization[x$organization=="National Credit Union Administration Board"] <- "National Credit Union Administration"
x$organization[x$organization=="National Foundation on the Arts and Humanities"] <- "National Foundation on the Arts and the Humanities"
x$organization[x$organization=="National Institute for Literacy Advisory Board "] <- "National Institute for Literacy"
x$organization[x$organization=="Social Security Advisory Board"] <- "Social Security Administration"
x$organization[x$organization=="United States Advisory Commission of Public Diplomacy"] <- "United States Advisory Commission on Public Diplomacy"
x$organization[x$organization=="International Banks"] <- "International Bank for Reconstruction and Development"
x$organization[x$organization=="Institute of American Indian & Alaska Native Culture & Arts Dev."] <- "Institute of American Indian & Alaska Native Culture & Arts Development"
x$organization[x$organization=="Institute of American Indian & Alaska Native Culture & Arts Dev"] <- "Institute of American Indian & Alaska Native Culture & Arts Development"
x$organization[x$organization=="Inst. of Amer. Indian & Alaska Native Culture & Arts Development"] <- "Institute of American Indian & Alaska Native Culture & Arts Development"
x$organization[x$organization=="Institute of American Indian and Alaska Native Culture and Arts Development"] <- "Institute of American Indian & Alaska Native Culture & Arts Development"
x$organization[x$organization=="African Development Bank"] <- "African Development Foundation"
x$organization[x$organization=="Federal Old-Age, Suvivors and Disability Insurance Trust Funds"] <- "Social Security Administration"
x$organization[x$organization=="The Supreme Court of the United States"] <- "The Judiciary"
x$organization[x$organization=="Supreme Court of the United States"] <- "The Judiciary"
x$organization[x$organization=="Superior Court of the District of Columbia"] <- "The Judiciary"
x$organization[x$organization=="African Development Bank"] <- "African Development Foundation"
x$organization[x$organization=="Federal Old-Age, Suvivors and Disability Insurance Trust Funds"] <- "Social Security Administration"
x$organization[x$organization=="The Supreme Court of the United States"] <- "The Judiciary"
x$organization[x$organization=="Barry Goldwater Scholarship & Excellence In Education Foundation"] <- "Barry Goldwater Scholarship & Excellence in Education Foundation"
x$organization[x$organization=="Barry Goldwater Scholarship and Excellence in Education Foundation"] <- "Barry Goldwater Scholarship & Excellence in Education Foundation"
x$organization[x$organization=="Barry Goldwater Scholorship & Excellence in Education Foundation"] <- "Barry Goldwater Scholarship & Excellence in Education Foundation"
x$organization[x$organization=="Board for International Broadcasting"] <- "Broadcasting Board of Governors"
x$organization[x$organization=="Community Relations Service"] <- "Department of Justice"
x$organization[x$organization=="Corporation For National and Community Service"] <- "Corporation for National and Community Service"
x$organization[x$organization=="ACTION Agency"] <- "Corporation for National and Community Service"
x$organization[x$organization=="Commission on National and Community Service"] <- "Corporation for National and Community Service"
x$organization[x$organization=="Federal Insurance Trust Funds"] <- "Federal Insurance Trust Fund"
x$organization[x$organization=="Federal Mine Safety and Health Review Commission"] <- "Federal Mine Safety and Health Administration"
x$organization[x$organization=="National Council On the Arts"] <- "National Council on the Arts"
x$organization[x$organization=="Morris K. Udall and Stewart L. Udall Foundation"] <- "Morris K. Udall Scholarship and Excellence in National Environmental Policy Foundation"
x$organization[x$organization=="Morris K. Udall Scholarship and Excellence In National Environmental Policy Foundation"] <- "Morris K. Udall Scholarship and Excellence in National Environmental Policy Foundation"
x$organization[x$organization=="Morris K. Udall Scholorship and Excellence in National Environmental Policy Foundation"] <- "Morris K. Udall Scholarship and Excellence in National Environmental Policy Foundation"
x$organization[x$organization=="Federal Thrift Investment Board"] <- "Federal Retirement Thrift Investment Board"
x$organization[x$organization=="Federal Motor Carrier Safety Administration"] <- "Department of Transportation"
x$organization[x$organization=="National Institute For Literacy"] <- "National Institute for Literacy"
x$organization[x$organization=="Corporation For Public Broadcasting"] <- "Corporation for Public Broadcasting"
x$organization[x$organization=="Peace Corps National Advisory Council"] <- "Peace Corps"
x$organization[x$organization=="Farm Credit System Assistance Board"] <- "Farm Credit Administration"
x$organization[x$organization=="Inter-American Development Bank"] <- "Inter-American Foundation"
x$organization[x$organization=="National Institute for Literacy Advisory Board"] <- "National Institute for Literacy"
x$organization[x$organization=="International Bank For Reconstruction and Development"] <- "International Bank for Reconstruction and Development"
x$organization[x$organization==""] <- ""

##dealing with USAID
##x$organization[x$organization=="United States International Development Cooperation Agency"] <- "United States Agency for International Development"
x$organization[x$organization=="Agency for International Development"] <- "United States International Development Cooperation Agency"
x$organization[x$organization=="Agency for International Development"] <- "United States International Development Cooperation Agency"
x$organization[x$organization=="Overseas Private Investment Corporation"] <- "United States International Development Cooperation Agency"
x$organization[x$organization=="United States Agency for International Development"] <- "United States International Development Cooperation Agency"


##identify recess appointees and confirmed appointees
x$recess <- apply(cbind(as.character(x$nominee)), 1, function (x) 0+(regexpr("last recess", x)[1]>0) )
x$confirm <- 0+(nchar(as.character(x$confirmed))>0)

##read in date
x$recdate <- as.Date(x$receivedDATE, "%B %d, %Y")
x$pres <- "reagan"
x$pres[x$recdate>="1989-01-20"] <- "hwb"
x$pres[x$recdate>="1993-01-20"] <- "clinton"
x$pres[x$recdate>="2001-01-20"] <- "gwb"
x$pres[x$recdate>="2009-01-20"] <- "obama"

##CALCULATE PRESIDENTIAL TERM
x$TERM <- "REAGAN2"
x$TERM[x$recdate>="1989-01-20"] <- "GHWB"
x$TERM[x$recdate>="1993-01-20"] <- "CLINTON1"
x$TERM[x$recdate>="1997-01-20"] <- "CLINTON2"
x$TERM[x$recdate>="2001-01-20"] <- "GWB1"
x$TERM[x$recdate>="2005-01-20"] <- "GWB2"
x$TERM[x$recdate>="2009-01-20"] <- "OBAMA"

x$contributor <- !is.na(x$bonica_id1)
cor(x$contributor, x$confirm)

##CONSTRUCT AGENCY-LEVEL DATA		
ags <- as.character(unique(x$organization))		
press <- unique(x$pres)		
cr <- matrix(NA, length(ags), length(press))		
n <- matrix(NA, length(ags), length(press))		

for (i in 1:length(ags)){		
	print(ags[i])	
	xa <- x[x$organization==ags[i],]	
	for (p in 1:length(press)){	
		xap <- xa[xa$pres==press[p],]
		cr[i,p] <- cor(xap$confirm, xap$contributor)
		n[i,p] <- dim(xap)[1]
	}	
}		

q <- as.data.frame(cbind(ags,n,cr))
names(q) <- c("agency",paste(press,".n",sep=""),paste(press,".cr",sep=""))
for (i in 2:6){
q[,i] <- as.numeric(as.character(q[,i]))
}

for (i in 7:11){
q[,i] <- as.numeric(as.character(q[,i]))
}

q$bushclinton.n <- q$gwb.n+q$clinton.n
q <- q[rev(order(q$bushclinton.n)),]
qs <- q[c(1:30),]
qs <- qs[rev(order(qs$agency)),]

aglist <- read.delim("http://www.umich.edu/~jowei/PresidentialAppointments/30agencies.txt", header=F)
qs <- q[q$agency %in% aglist$V1,]



k <- length(qs$agency)
qs$agency <- as.character(qs$agency)
qs$agency[qs$agency=="United States International Development Cooperation Agency"] <- "International Development Cooperation Agency"
qs$agency[qs$agency=="Morris K. Udall Scholarship and Excellence in National Environmental Policy Foundation"] <- "Morris K. Udall Foundation"
qs$agency[qs$agency=="Defense Base Closure and Realignment Commission"] <- "Defense Base Closure and Realignment Comm'n"
qs$agency[qs$agency=="National Commission on Libraries and Information Science"] <- "Nat. Comm'n on Libraries and Information Science"
qs$agency[qs$agency=="United States Advisory Commission on Public Diplomacy"] <- "Advisory Commission on Public Diplomacy"
qs$agency[qs$agency=="National Commission on Libraries and Information Science"] <- "Nat. Comm'n on Libraries and Information Science"
qs$agency[qs$agency=="The Judiciary"] <- "Judicial Branch (Judicial Nominees)"
qs <- qs[rev(order(qs$agency)),]


##postscript("FigureA8.eps", height=8, width=6.5, horizontal=FALSE)

pdf("FigureA8.pdf", height=8, width=6.5)

title <- "Comparison Across Agencies of\nCorrelation between Contributing to Campaigns\nand Senate Confirmation of Nominees"
par(mar=c(4.5,16.0,3.0,0.8))
plot(NA,NA, xlim=c(-1,1), ylim=c(1,(k+4.5)), yaxt="n",xaxt="n", ylab="", xlab="Correlation between Contributing to Campaigns\nand Senate Confirmation of Nominees")

points(qs$clinton.cr, seq(1:k)   , col="blue", pch=16, cex=1.3)
points(qs$gwb.cr, seq(1:k)   , col="red", pch=2, cex=1.3)
##points(qs$obama.cr, seq(1:k)   , col="green", pch=18, cex=1.3)

xlabs <- paste(c(0,20,40,60,80,100),"%",sep="")
axis(1, at=seq(from=-1,to=1,by=0.25), lab=seq(from=-1,to=1,by=0.25) ,mgp=c(1.8, 0.6, 0), cex.axis=0.7, par(las=1))

axis(2, at=seq(1:k), lab=qs$agency,mgp=c(1.8, 0.6, 0), cex.axis=0.75, par(las=1))
for (i in 1:k){
lines(c(-10,10),c(i,i),lty="dashed")
}

legend("top", c("Clinton Administration Nominees","George W. Bush Administration Nominees"),
 pch=c(16,2), cex=0.85, pt.cex=c(1,1), col=c("blue","red"), text.col=c("blue","red"), title.col=c("black"), title="Legend:",bty="y"##,lty=c(2,1)
)

title(main=title,
ylab="Agency"
, cex.main=0.9
, cex.lab=1.4
, mgp=c(14.6, 1.8, 0))


dev.off()


