##FIGURE A7

x <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/SenConfNominees.csv")

x <- x[(x$pres %in% c("clinton","gwb")) & x$nconts1 > 1 & x$points1 >= 3 & x$recess ==0 &  x$reappointment ==0,]
x <- x[!(x$pres == 'clinton' & x$year %in% 2001),]


library(texreg)


########################################################################################################
######Creating Table A7##################################################################################
#######################################################################################################
library(rms)

f1a<-lrm(confirm ~ dchair+as.factor(pres)+as.factor(orgs), x=TRUE, y=TRUE, data = x)


f1c<-lrm(confirm ~ dchair+as.factor(pres)+ambassador+commissioner+attorney+marshal+secretary+ under.secretary + asst.secretary + director+administrator+member+
         professional +technical +PolicyAgenda+
         +DaysInOffice+pres.approval+polarization,
         x=TRUE, y=TRUE, data = x)




f2a<-lrm(confirm ~ dchair+as.factor(pres)+as.factor(orgs), x=TRUE, y=TRUE, data = x[x$div.govt==1,])


f2c<-lrm(confirm ~ dchair+as.factor(pres)+
         ambassador+commissioner+
         attorney+marshal+secretary+ + under.secretary + asst.secretary +director+administrator+member+
         professional +technical +PolicyAgenda +DaysInOffice+pres.approval + polarization, x=TRUE, y=TRUE, data = x[x$div.govt==1,])

f3a<-lrm(confirm ~dchair +pres + as.factor(orgs), x=TRUE, y=TRUE, data = x[x$div.govt==0 ,])


f3c<-lrm(confirm ~ dchair+
         ambassador+
         commissioner+
         attorney+marshal+secretary+ under.secretary + asst.secretary + director+administrator+ member +
         professional +technical +PolicyAgenda +DaysInOffice+
         pres.approval+ polarization,x=TRUE, y=TRUE, data = x[x$div.govt==0 & x$pres =='gwb',])

library(texreg)
htmlreg(list(f1a,f1c,f2a,f2c,f3a,f3c),file='TableA7.doc',stars=c(0.05))




